diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
index d85b5f3e..41f8cfd6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/foreign_tables/__init__.py
@@ -1192,7 +1192,9 @@ class ForeignTableView(PGChildNodeView, DataTypeReader):
 
         if db_variables is not None:
             for row in db_variables:
-                var_name, var_value = row.split("=")
+                # The value may contain equals in string, split on
+                # first equals only
+                var_name, var_value = row.split("=", 1)
 
                 var_dict = {'option': var_name, 'value': var_value}
 
